SVGTOIPE(1)

NAME
svgtoipe - Convert a SVG file to Ipe 7 format

SYNOPSIS
svgtoipe [-h] [-c] figure.svg [figure.ipe]

DESCRIPTION
svgtoipe converts a SVG file to an XML file understood by Ipe version 7.

If the output filename is not specified, it will be derived either by replacing .ipe at the end of the input filename with .svg, or by appending .ipe if the input filename does not end with with .svg.

If either input or output filename is '--', then stdin, resp. stdout is used to read or write data.

-h  display a short help text

-c  operate in clipboard mode. Data is output as ipe clipboard content. This allows pasting svg data from inkscape to ipe: (1) Copy elements Inkscape to clipboard, (2) run: 'xsel | ./svgtoipe.py -c -- | xsel -i', (3) paste clipboard content into ipe.

Supported SVG Features

The following SVG elements are converted: path, image, rect, circle, ellipse, line, polygon, and polyline

The following SVG elements are converted: group, clipPath, linearGradient, andradialGradient

Image conversion is only supported if python-imaging is available. Text is only converted, if it has coordinates specified as attribute of the svg text element.

AUTHOR
Otfried Cheong Christian Kapeller

SEE ALSO
ipe(1)